diff --git a/tests/unit/modules/test_virt.py b/tests/unit/modules/test_virt.py
index 3e9bd5ef49..d3988464f6 100644
--- a/tests/unit/modules/test_virt.py
+++ b/tests/unit/modules/test_virt.py
@@ -2400,194 +3706,223 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
         # pylint: enable=no-member
 
         net = virt.network_info()
-        self.assertEqual({
-            'net0':
-            {
-                'uuid': 'some-uuid',
-                'bridge': 'br0',
-                'autostart': True,
-                'active': False,
-                'persistent': True,
-                'leases': []
-            }, 'net1':
+        self.assertEqual(
             {
-                'uuid': 'some-uuid',
-                'bridge': 'br1',
-                'autostart': True,
-                'active': False,
-                'persistent': True,
-                'leases': []
-            }
-        }, net)
+                "net0": {
+                    "uuid": "some-uuid",
+                    "bridge": "br0",
+                    "autostart": True,
+                    "active": False,
+                    "persistent": True,
+                    "leases": [],
+                },
+                "net1": {
+                    "uuid": "some-uuid",
+                    "bridge": "br1",
+                    "autostart": True,
+                    "active": False,
+                    "persistent": True,
+                    "leases": [],
+                },
+            },
+            net,
+        )
 
     def test_network_info_notfound(self):
-        '''
+        """
         Test virt.network_info() when the network can't be found
-        '''
+        """
         # pylint: disable=no-member
         self.mock_conn.listAllNetworks.return_value = []
         # pylint: enable=no-member
-        net = virt.network_info('foo')
+        net = virt.network_info("foo")
         self.assertEqual({}, net)
 
     def test_network_get_xml(self):
-        '''
+        """
         Test virt.network_get_xml
-        '''
+        """
         network_mock = MagicMock()
-        network_mock.XMLDesc.return_value = '<net>Raw XML</net>'
+        network_mock.XMLDesc.return_value = "<net>Raw XML</net>"
         self.mock_conn.networkLookupByName.return_value = network_mock
 
-        self.assertEqual('<net>Raw XML</net>', virt.network_get_xml('default'))
+        self.assertEqual("<net>Raw XML</net>", virt.network_get_xml("default"))
 
     def test_pool(self):
-        '''
+        """
         Test virt._gen_pool_xml()
-        '''
-        xml_data = virt._gen_pool_xml('pool', 'logical', '/dev/base')
+        """
+        xml_data = virt._gen_pool_xml("pool", "logical", "/dev/base")
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'logical')
-        self.assertEqual(root.find('target/path').text, '/dev/base')
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "logical")
+        self.assertEqual(root.find("target/path").text, "/dev/base")
 
     def test_pool_with_source(self):
-        '''
+        """
         Test virt._gen_pool_xml() with a source device
-        '''
-        xml_data = virt._gen_pool_xml('pool', 'logical', '/dev/base', source_devices=[{'path': '/dev/sda'}])
+        """
+        xml_data = virt._gen_pool_xml(
+            "pool", "logical", "/dev/base", source_devices=[{"path": "/dev/sda"}]
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'logical')
-        self.assertEqual(root.find('target/path').text, '/dev/base')
-        self.assertEqual(root.find('source/device').attrib['path'], '/dev/sda')
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "logical")
+        self.assertEqual(root.find("target/path").text, "/dev/base")
+        self.assertEqual(root.find("source/device").attrib["path"], "/dev/sda")
 
     def test_pool_with_scsi(self):
-        '''
+        """
         Test virt._gen_pool_xml() with a SCSI source
-        '''
-        xml_data = virt._gen_pool_xml('pool',
-                                      'scsi',
-                                      '/dev/disk/by-path',
-                                      source_devices=[{'path': '/dev/sda'}],
-                                      source_adapter={
-                                          'type': 'scsi_host',
-                                          'parent_address': {
-                                              'unique_id': 5,
-                                              'address': {
-                                                  'domain': '0x0000',
-                                                  'bus': '0x00',
-                                                  'slot': '0x1f',
-                                                  'function': '0x2'
-                                              }
-                                          }
-                                      },
-                                      source_name='srcname')
+        """
+        xml_data = virt._gen_pool_xml(
+            "pool",
+            "scsi",
+            "/dev/disk/by-path",
+            source_devices=[{"path": "/dev/sda"}],
+            source_adapter={
+                "type": "scsi_host",
+                "parent_address": {
+                    "unique_id": 5,
+                    "address": {
+                        "domain": "0x0000",
+                        "bus": "0x00",
+                        "slot": "0x1f",
+                        "function": "0x2",
+                    },
+                },
+            },
+            source_name="srcname",
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'scsi')
-        self.assertEqual(root.find('target/path').text, '/dev/disk/by-path')
-        self.assertEqual(root.find('source/device'), None)
-        self.assertEqual(root.find('source/name'), None)
-        self.assertEqual(root.find('source/adapter').attrib['type'], 'scsi_host')
-        self.assertEqual(root.find('source/adapter/parentaddr').attrib['unique_id'], '5')
-        self.assertEqual(root.find('source/adapter/parentaddr/address').attrib['domain'], '0x0000')
-        self.assertEqual(root.find('source/adapter/parentaddr/address').attrib['bus'], '0x00')
-        self.assertEqual(root.find('source/adapter/parentaddr/address').attrib['slot'], '0x1f')
-        self.assertEqual(root.find('source/adapter/parentaddr/address').attrib['function'], '0x2')
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "scsi")
+        self.assertEqual(root.find("target/path").text, "/dev/disk/by-path")
+        self.assertEqual(root.find("source/device"), None)
+        self.assertEqual(root.find("source/name"), None)
+        self.assertEqual(root.find("source/adapter").attrib["type"], "scsi_host")
+        self.assertEqual(
+            root.find("source/adapter/parentaddr").attrib["unique_id"], "5"
+        )
+        self.assertEqual(
+            root.find("source/adapter/parentaddr/address").attrib["domain"], "0x0000"
+        )
+        self.assertEqual(
+            root.find("source/adapter/parentaddr/address").attrib["bus"], "0x00"
+        )
+        self.assertEqual(
+            root.find("source/adapter/parentaddr/address").attrib["slot"], "0x1f"
+        )
+        self.assertEqual(
+            root.find("source/adapter/parentaddr/address").attrib["function"], "0x2"
+        )
 
     def test_pool_with_rbd(self):
-        '''
+        """
         Test virt._gen_pool_xml() with an RBD source
-        '''
-        xml_data = virt._gen_pool_xml('pool',
-                                      'rbd',
-                                      source_devices=[{'path': '/dev/sda'}],
-                                      source_hosts=['1.2.3.4', 'my.ceph.monitor:69'],
-                                      source_auth={
-                                          'type': 'ceph',
-                                          'username': 'admin',
-                                          'secret': {
-                                              'type': 'uuid',
-                                              'value': 'someuuid'
-                                          }
-                                      },
-                                      source_name='srcname',
-                                      source_adapter={'type': 'scsi_host', 'name': 'host0'},
-                                      source_dir='/some/dir',
-                                      source_format='fmt')
+        """
+        xml_data = virt._gen_pool_xml(
+            "pool",
+            "rbd",
+            source_devices=[{"path": "/dev/sda"}],
+            source_hosts=["1.2.3.4", "my.ceph.monitor:69"],
+            source_auth={
+                "type": "ceph",
+                "username": "admin",
+                "secret": {"type": "uuid", "value": "someuuid"},
+            },
+            source_name="srcname",
+            source_adapter={"type": "scsi_host", "name": "host0"},
+            source_dir="/some/dir",
+            source_format="fmt",
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'rbd')
-        self.assertEqual(root.find('target'), None)
-        self.assertEqual(root.find('source/device'), None)
-        self.assertEqual(root.find('source/name').text, 'srcname')
-        self.assertEqual(root.find('source/adapter'), None)
-        self.assertEqual(root.find('source/dir'), None)
-        self.assertEqual(root.find('source/format'), None)
-        self.assertEqual(root.findall('source/host')[0].attrib['name'], '1.2.3.4')
-        self.assertTrue('port' not in root.findall('source/host')[0].attrib)
-        self.assertEqual(root.findall('source/host')[1].attrib['name'], 'my.ceph.monitor')
-        self.assertEqual(root.findall('source/host')[1].attrib['port'], '69')
-        self.assertEqual(root.find('source/auth').attrib['type'], 'ceph')
-        self.assertEqual(root.find('source/auth').attrib['username'], 'admin')
-        self.assertEqual(root.find('source/auth/secret').attrib['uuid'], 'someuuid')
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "rbd")
+        self.assertEqual(root.find("target"), None)
+        self.assertEqual(root.find("source/device"), None)
+        self.assertEqual(root.find("source/name").text, "srcname")
+        self.assertEqual(root.find("source/adapter"), None)
+        self.assertEqual(root.find("source/dir"), None)
+        self.assertEqual(root.find("source/format"), None)
+        self.assertEqual(root.findall("source/host")[0].attrib["name"], "1.2.3.4")
+        self.assertTrue("port" not in root.findall("source/host")[0].attrib)
+        self.assertEqual(
+            root.findall("source/host")[1].attrib["name"], "my.ceph.monitor"
+        )
+        self.assertEqual(root.findall("source/host")[1].attrib["port"], "69")
+        self.assertEqual(root.find("source/auth").attrib["type"], "ceph")
+        self.assertEqual(root.find("source/auth").attrib["username"], "admin")
+        self.assertEqual(root.find("source/auth/secret").attrib["uuid"], "someuuid")
 
     def test_pool_with_netfs(self):
-        '''
+        """
         Test virt._gen_pool_xml() with a netfs source
-        '''
-        xml_data = virt._gen_pool_xml('pool',
-                                      'netfs',
-                                      target='/path/to/target',
-                                      permissions={
-                                        'mode': '0770',
-                                        'owner': 1000,
-                                        'group': 100,
-                                        'label': 'seclabel'
-                                      },
-                                      source_devices=[{'path': '/dev/sda'}],
-                                      source_hosts=['nfs.host'],
-                                      source_name='srcname',
-                                      source_adapter={'type': 'scsi_host', 'name': 'host0'},
-                                      source_dir='/some/dir',
-                                      source_format='nfs')
+        """
+        xml_data = virt._gen_pool_xml(
+            "pool",
+            "netfs",
+            target="/path/to/target",
+            permissions={
+                "mode": "0770",
+                "owner": 1000,
+                "group": 100,
+                "label": "seclabel",
+            },
+            source_devices=[{"path": "/dev/sda"}],
+            source_hosts=["nfs.host"],
+            source_name="srcname",
+            source_adapter={"type": "scsi_host", "name": "host0"},
+            source_dir="/some/dir",
+            source_format="nfs",
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'netfs')
-        self.assertEqual(root.find('target/path').text, '/path/to/target')
-        self.assertEqual(root.find('target/permissions/mode').text, '0770')
-        self.assertEqual(root.find('target/permissions/owner').text, '1000')
-        self.assertEqual(root.find('target/permissions/group').text, '100')
-        self.assertEqual(root.find('target/permissions/label').text, 'seclabel')
-        self.assertEqual(root.find('source/device'), None)
-        self.assertEqual(root.find('source/name'), None)
-        self.assertEqual(root.find('source/adapter'), None)
-        self.assertEqual(root.find('source/dir').attrib['path'], '/some/dir')
-        self.assertEqual(root.find('source/format').attrib['type'], 'nfs')
-        self.assertEqual(root.find('source/host').attrib['name'], 'nfs.host')
-        self.assertEqual(root.find('source/auth'), None)
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "netfs")
+        self.assertEqual(root.find("target/path").text, "/path/to/target")
+        self.assertEqual(root.find("target/permissions/mode").text, "0770")
+        self.assertEqual(root.find("target/permissions/owner").text, "1000")
+        self.assertEqual(root.find("target/permissions/group").text, "100")
+        self.assertEqual(root.find("target/permissions/label").text, "seclabel")
+        self.assertEqual(root.find("source/device"), None)
+        self.assertEqual(root.find("source/name"), None)
+        self.assertEqual(root.find("source/adapter"), None)
+        self.assertEqual(root.find("source/dir").attrib["path"], "/some/dir")
+        self.assertEqual(root.find("source/format").attrib["type"], "nfs")
+        self.assertEqual(root.find("source/host").attrib["name"], "nfs.host")
+        self.assertEqual(root.find("source/auth"), None)
 
     def test_pool_with_iscsi_direct(self):
-        '''
+        """
         Test virt._gen_pool_xml() with a iscsi-direct source
-        '''
-        xml_data = virt._gen_pool_xml('pool',
-                                      'iscsi-direct',
-                                      source_hosts=['iscsi.example.com'],
-                                      source_devices=[{'path': 'iqn.2013-06.com.example:iscsi-pool'}],
-                                      source_initiator='iqn.2013-06.com.example:iscsi-initiator')
+        """
+        xml_data = virt._gen_pool_xml(
+            "pool",
+            "iscsi-direct",
+            source_hosts=["iscsi.example.com"],
+            source_devices=[{"path": "iqn.2013-06.com.example:iscsi-pool"}],
+            source_initiator="iqn.2013-06.com.example:iscsi-initiator",
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'pool')
-        self.assertEqual(root.attrib['type'], 'iscsi-direct')
-        self.assertEqual(root.find('target'), None)
-        self.assertEqual(root.find('source/device').attrib['path'], 'iqn.2013-06.com.example:iscsi-pool')
-        self.assertEqual(root.findall('source/host')[0].attrib['name'], 'iscsi.example.com')
-        self.assertEqual(root.find('source/initiator/iqn').attrib['name'], 'iqn.2013-06.com.example:iscsi-initiator')
+        self.assertEqual(root.find("name").text, "pool")
+        self.assertEqual(root.attrib["type"], "iscsi-direct")
+        self.assertEqual(root.find("target"), None)
+        self.assertEqual(
+            root.find("source/device").attrib["path"],
+            "iqn.2013-06.com.example:iscsi-pool",
+        )
+        self.assertEqual(
+            root.findall("source/host")[0].attrib["name"], "iscsi.example.com"
+        )
+        self.assertEqual(
+            root.find("source/initiator/iqn").attrib["name"],
+            "iqn.2013-06.com.example:iscsi-initiator",
+        )
 
     def test_pool_define(self):
-        '''
+        """
         Test virt.pool_define()
-        '''
+        """
         mock_pool = MagicMock()
         mock_secret = MagicMock()
         mock_secret_define = MagicMock(return_value=mock_secret)
@@ -2595,22 +3930,29 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
         self.mock_conn.storagePoolCreateXML = MagicMock(return_value=mock_pool)
         self.mock_conn.storagePoolDefineXML = MagicMock(return_value=mock_pool)
 
-        mocks = [mock_pool, mock_secret, mock_secret_define, self.mock_conn.storagePoolCreateXML,
-                self.mock_conn.secretDefineXML, self.mock_conn.storagePoolDefineXML]
+        mocks = [
+            mock_pool,
+            mock_secret,
+            mock_secret_define,
+            self.mock_conn.storagePoolCreateXML,
+            self.mock_conn.secretDefineXML,
+            self.mock_conn.storagePoolDefineXML,
+        ]
 
         # Test case with already defined secret and permanent pool
-        self.assertTrue(virt.pool_define('default',
-                                         'rbd',
-                                         source_hosts=['one.example.com', 'two.example.com'],
-                                         source_name='rbdvol',
-                                         source_auth={
-                                            'type': 'ceph',
-                                            'username': 'admin',
-                                            'secret': {
-                                                'type': 'uuid',
-                                                'value': 'someuuid'
-                                            }
-                                         }))
+        self.assertTrue(
+            virt.pool_define(
+                "default",
+                "rbd",
+                source_hosts=["one.example.com", "two.example.com"],
+                source_name="rbdvol",
+                source_auth={
+                    "type": "ceph",
+                    "username": "admin",
+                    "secret": {"type": "uuid", "value": "someuuid"},
+                },
+            )
+        )
         self.mock_conn.storagePoolDefineXML.assert_called_once()
         self.mock_conn.storagePoolCreateXML.assert_not_called()
         mock_pool.create.assert_called_once()
@@ -2619,87 +3961,99 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
         # Test case with Ceph secret to be defined and transient pool
         for mock in mocks:
             mock.reset_mock()
-        self.assertTrue(virt.pool_define('default',
-                                         'rbd',
-                                         transient=True,
-                                         source_hosts=['one.example.com', 'two.example.com'],
-                                         source_name='rbdvol',
-                                         source_auth={
-                                            'username': 'admin',
-                                            'password': 'c2VjcmV0'
-                                         }))
+        self.assertTrue(
+            virt.pool_define(
+                "default",
+                "rbd",
+                transient=True,
+                source_hosts=["one.example.com", "two.example.com"],
+                source_name="rbdvol",
+                source_auth={"username": "admin", "password": "c2VjcmV0"},
+            )
+        )
         self.mock_conn.storagePoolDefineXML.assert_not_called()
 
         pool_xml = self.mock_conn.storagePoolCreateXML.call_args[0][0]
         root = ET.fromstring(pool_xml)
-        self.assertEqual(root.find('source/auth').attrib['type'], 'ceph')
-        self.assertEqual(root.find('source/auth').attrib['username'], 'admin')
-        self.assertEqual(root.find('source/auth/secret').attrib['usage'], 'pool_default')
+        self.assertEqual(root.find("source/auth").attrib["type"], "ceph")
+        self.assertEqual(root.find("source/auth").attrib["username"], "admin")
+        self.assertEqual(
+            root.find("source/auth/secret").attrib["usage"], "pool_default"
+        )
         mock_pool.create.assert_not_called()
-        mock_secret.setValue.assert_called_once_with(b'secret')
+        mock_secret.setValue.assert_called_once_with(b"secret")
 
         secret_xml = mock_secret_define.call_args[0][0]
         root = ET.fromstring(secret_xml)
-        self.assertEqual(root.find('usage/name').text, 'pool_default')
-        self.assertEqual(root.find('usage').attrib['type'], 'ceph')
-        self.assertEqual(root.attrib['private'], 'yes')
-        self.assertEqual(root.find('description').text, 'Passphrase for default pool created by Salt')
+        self.assertEqual(root.find("usage/name").text, "pool_default")
+        self.assertEqual(root.find("usage").attrib["type"], "ceph")
+        self.assertEqual(root.attrib["private"], "yes")
+        self.assertEqual(
+            root.find("description").text, "Passphrase for default pool created by Salt"
+        )
 
         # Test case with iscsi secret not starting
         for mock in mocks:
             mock.reset_mock()
-        self.assertTrue(virt.pool_define('default',
-                                         'iscsi',
-                                         target='/dev/disk/by-path',
-                                         source_hosts=['iscsi.example.com'],
-                                         source_devices=[{'path': 'iqn.2013-06.com.example:iscsi-pool'}],
-                                         source_auth={
-                                            'username': 'admin',
-                                            'password': 'secret'
-                                         },
-                                         start=False))
+        self.assertTrue(
+            virt.pool_define(
+                "default",
+                "iscsi",
+                target="/dev/disk/by-path",
+                source_hosts=["iscsi.example.com"],
+                source_devices=[{"path": "iqn.2013-06.com.example:iscsi-pool"}],
+                source_auth={"username": "admin", "password": "secret"},
+                start=False,
+            )
+        )
         self.mock_conn.storagePoolCreateXML.assert_not_called()
 
         pool_xml = self.mock_conn.storagePoolDefineXML.call_args[0][0]
         root = ET.fromstring(pool_xml)
-        self.assertEqual(root.find('source/auth').attrib['type'], 'chap')
-        self.assertEqual(root.find('source/auth').attrib['username'], 'admin')
-        self.assertEqual(root.find('source/auth/secret').attrib['usage'], 'pool_default')
+        self.assertEqual(root.find("source/auth").attrib["type"], "chap")
+        self.assertEqual(root.find("source/auth").attrib["username"], "admin")
+        self.assertEqual(
+            root.find("source/auth/secret").attrib["usage"], "pool_default"
+        )
         mock_pool.create.assert_not_called()
-        mock_secret.setValue.assert_called_once_with('secret')
+        mock_secret.setValue.assert_called_once_with("secret")
 
         secret_xml = mock_secret_define.call_args[0][0]
         root = ET.fromstring(secret_xml)
-        self.assertEqual(root.find('usage/target').text, 'pool_default')
-        self.assertEqual(root.find('usage').attrib['type'], 'iscsi')
-        self.assertEqual(root.attrib['private'], 'yes')
-        self.assertEqual(root.find('description').text, 'Passphrase for default pool created by Salt')
+        self.assertEqual(root.find("usage/target").text, "pool_default")
+        self.assertEqual(root.find("usage").attrib["type"], "iscsi")
+        self.assertEqual(root.attrib["private"], "yes")
+        self.assertEqual(
+            root.find("description").text, "Passphrase for default pool created by Salt"
+        )
 
     def test_list_pools(self):
-        '''
+        """
         Test virt.list_pools()
-        '''
-        names = ['pool1', 'default', 'pool2']
+        """
+        names = ["pool1", "default", "pool2"]
         pool_mocks = [MagicMock(), MagicMock(), MagicMock()]
         for i, value in enumerate(names):
             pool_mocks[i].name.return_value = value
 
-        self.mock_conn.listAllStoragePools.return_value = pool_mocks  # pylint: disable=no-member
+        self.mock_conn.listAllStoragePools.return_value = (
+            pool_mocks  # pylint: disable=no-member
+        )
         actual = virt.list_pools()
         self.assertEqual(names, actual)
 
     def test_pool_info(self):
-        '''
+        """
         Test virt.pool_info()
-        '''
+        """
         # pylint: disable=no-member
         pool_mock = MagicMock()
-        pool_mock.name.return_value = 'foo'
-        pool_mock.UUIDString.return_value = 'some-uuid'
+        pool_mock.name.return_value = "foo"
+        pool_mock.UUIDString.return_value = "some-uuid"
         pool_mock.info.return_value = [0, 1234, 5678, 123]
         pool_mock.autostart.return_value = True
         pool_mock.isPersistent.return_value = True
-        pool_mock.XMLDesc.return_value = '''<pool type='dir'>
+        pool_mock.XMLDesc.return_value = """<pool type='dir'>
   <name>default</name>
   <uuid>d92682d0-33cf-4e10-9837-a216c463e158</uuid>
   <capacity unit='bytes'>854374301696</capacity>
@@ -2715,34 +4069,40 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
       <group>0</group>
     </permissions>
   </target>
-</pool>'''
+</pool>"""
         self.mock_conn.listAllStoragePools.return_value = [pool_mock]
         # pylint: enable=no-member
 
-        pool = virt.pool_info('foo')
-        self.assertEqual({'foo': {
-            'uuid': 'some-uuid',
-            'state': 'inactive',
-            'capacity': 1234,
-            'allocation': 5678,
-            'free': 123,
-            'autostart': True,
-            'persistent': True,
-            'type': 'dir',
-            'target_path': '/srv/vms'}}, pool)
+        pool = virt.pool_info("foo")
+        self.assertEqual(
+            {
+                "foo": {
+                    "uuid": "some-uuid",
+                    "state": "inactive",
+                    "capacity": 1234,
+                    "allocation": 5678,
+                    "free": 123,
+                    "autostart": True,
+                    "persistent": True,
+                    "type": "dir",
+                    "target_path": "/srv/vms",
+                }
+            },
+            pool,
+        )
 
     def test_pool_info_notarget(self):
-        '''
+        """
         Test virt.pool_info()
-        '''
+        """
         # pylint: disable=no-member
         pool_mock = MagicMock()
-        pool_mock.name.return_value = 'ceph'
-        pool_mock.UUIDString.return_value = 'some-uuid'
+        pool_mock.name.return_value = "ceph"
+        pool_mock.UUIDString.return_value = "some-uuid"
         pool_mock.info.return_value = [0, 0, 0, 0]
         pool_mock.autostart.return_value = True
         pool_mock.isPersistent.return_value = True
-        pool_mock.XMLDesc.return_value = '''<pool type='rbd'>
+        pool_mock.XMLDesc.return_value = """<pool type='rbd'>
   <name>ceph</name>
   <uuid>some-uuid</uuid>
   <capacity unit='bytes'>0</capacity>
@@ -2756,46 +4116,52 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
       <secret uuid='2ec115d7-3a88-3ceb-bc12-0ac909a6fd87'/>
     </auth>
   </source>
-</pool>'''
+</pool>"""
         self.mock_conn.listAllStoragePools.return_value = [pool_mock]
         # pylint: enable=no-member
 
-        pool = virt.pool_info('ceph')
-        self.assertEqual({'ceph': {
-            'uuid': 'some-uuid',
-            'state': 'inactive',
-            'capacity': 0,
-            'allocation': 0,
-            'free': 0,
-            'autostart': True,
-            'persistent': True,
-            'type': 'rbd',
-            'target_path': None}}, pool)
+        pool = virt.pool_info("ceph")
+        self.assertEqual(
+            {
+                "ceph": {
+                    "uuid": "some-uuid",
+                    "state": "inactive",
+                    "capacity": 0,
+                    "allocation": 0,
+                    "free": 0,
+                    "autostart": True,
+                    "persistent": True,
+                    "type": "rbd",
+                    "target_path": None,
+                }
+            },
+            pool,
+        )
 
     def test_pool_info_notfound(self):
-        '''
+        """
         Test virt.pool_info() when the pool can't be found
-        '''
+        """
         # pylint: disable=no-member
         self.mock_conn.listAllStoragePools.return_value = []
         # pylint: enable=no-member
-        pool = virt.pool_info('foo')
+        pool = virt.pool_info("foo")
         self.assertEqual({}, pool)
 
     def test_pool_info_all(self):
-        '''
+        """
         Test virt.pool_info()
-        '''
+        """
         # pylint: disable=no-member
         pool_mocks = []
         for i in range(2):
             pool_mock = MagicMock()
-            pool_mock.name.return_value = 'pool{0}'.format(i)
-            pool_mock.UUIDString.return_value = 'some-uuid-{0}'.format(i)
+            pool_mock.name.return_value = "pool{0}".format(i)
+            pool_mock.UUIDString.return_value = "some-uuid-{0}".format(i)
             pool_mock.info.return_value = [0, 1234, 5678, 123]
             pool_mock.autostart.return_value = True
             pool_mock.isPersistent.return_value = True
-            pool_mock.XMLDesc.return_value = '''<pool type='dir'>
+            pool_mock.XMLDesc.return_value = """<pool type='dir'>
   <name>default</name>
   <uuid>d92682d0-33cf-4e10-9837-a216c463e158</uuid>
   <capacity unit='bytes'>854374301696</capacity>
